Ubuntu15.05 cannot install aerospike


#1

Using the guide provided here and trying to install the 14.04 version as I could not find one for 15.05

When running ./asinstall everything looks fine but then when I try to start the service I see following error message:

Job for aerospike.service failed because the control process exited with error code. See “systemctl status aerospike.service” and “journalctl -xe” for details.

systemctl status aerospike.service:

● aerospike.service - LSB: Aerospike Clustered Data Service Loaded: loaded (/etc/init.d/aerospike) Active: failed (Result: exit-code) since Tue 2016-09-13 05:39:51 MDT; 5min ago Docs: man:systemd-sysv-generator(8) Process: 10976 ExecStart=/etc/init.d/aerospike start (code=exited, status=1/FAILURE) CGroup: /system.slice/aerospike.service └─9993 /usr/bin/asd --config-file /etc/aerospike/aerospike.conf

Sep 13 05:39:51 ubuntu systemd[1]: Starting LSB: Aerospike Clustered Data Service… Sep 13 05:39:51 ubuntu aerospike[10976]: * Starting aerospike Sep 13 05:39:51 ubuntu aerospike[10976]: aerospike already started Sep 13 05:39:51 ubuntu aerospike[10976]: …done. Sep 13 05:39:51 ubuntu systemd[1]: aerospike.service: Control process exited, code=exited status=1 Sep 13 05:39:51 ubuntu systemd[1]: Failed to start LSB: Aerospike Clustered Data Service. Sep 13 05:39:51 ubuntu systemd[1]: aerospike.service: Unit entered failed state. Sep 13 05:39:51 ubuntu systemd[1]: aerospike.service: Failed with result ‘exit-code’.

journalctl:

  • Subject: Unit aerospike_telemetry.service has begun start-up – Defined-By: systemd – Support: http://lists.freedesktop.org/mailman/listinfo/systemd-devel – – Unit aerospike_telemetry.service has begun starting up. Sep 13 05:46:57 ubuntu aerospike_telemetry[11087]: Traceback (most recent call last): Sep 13 05:46:57 ubuntu aerospike_telemetry[11087]: File “/opt/aerospike/telemetry/telemetry.py”, line 6, in Sep 13 05:46:57 ubuntu aerospike_telemetry[11087]: from phonehome import init, run Sep 13 05:46:57 ubuntu aerospike_telemetry[11087]: File “/opt/aerospike/telemetry/phonehome/init.py”, line 20, in Sep 13 05:46:57 ubuntu aerospike_telemetry[11087]: from driver import TelemetryAgent Sep 13 05:46:57 ubuntu aerospike_telemetry[11087]: File “/opt/aerospike/telemetry/phonehome/driver.py”, line 8, in Sep 13 05:46:57 ubuntu aerospike_telemetry[11087]: from home import HomeLine Sep 13 05:46:57 ubuntu aerospike_telemetry[11087]: File “/opt/aerospike/telemetry/phonehome/home.py”, line 5, in Sep 13 05:46:57 ubuntu aerospike_telemetry[11087]: import ssl Sep 13 05:46:57 ubuntu aerospike_telemetry[11087]: File “/usr/local/lib/python2.7/ssl.py”, line 97, in Sep 13 05:46:57 ubuntu aerospike_telemetry[11087]: import _ssl # if we can’t import it, let the error propagate Sep 13 05:46:57 ubuntu aerospike_telemetry[11087]: ImportError: No module named _ssl Sep 13 05:46:57 ubuntu systemd[1]: aerospike_telemetry.service: Control process exited, code=exited status=1 Sep 13 05:46:57 ubuntu systemd[1]: Failed to start LSB: Aerospike Telemetry Agent. – Subject: Unit aerospike_telemetry.service has failed – Defined-By: systemd – Support: http://lists.freedesktop.org/mailman/listinfo/systemd-devel – – Unit aerospike_telemetry.service has failed. – – The result is failed. Sep 13 05:46:57 ubuntu systemd[1]: aerospike_telemetry.service: Unit entered failed state. Sep 13 05:46:57 ubuntu systemd[1]: aerospike_telemetry.service: Failed with result ‘exit-code’. Sep 13 05:46:57 ubuntu systemd[1]: aerospike.service: Control process exited, code=exited status=1 Sep 13 05:46:57 ubuntu systemd[1]: Failed to start LSB: Aerospike Clustered Data Service. – Subject: Unit aerospike.service has failed – Defined-By: systemd – Support: http://lists.freedesktop.org/mailman/listinfo/systemd-devel – – Unit aerospike.service has failed. – – The result is failed. Sep 13 05:46:57 ubuntu systemd[1]: aerospike.service: Unit entered failed state. Sep 13 05:46:57 ubuntu systemd[1]: aerospike.service: Failed with result ‘exit-code’. Sep 13 05:46:57 ubuntu polkitd(authority=local)[3456]: Unregistered Authentication Agent for unix-process:11029:244104 (system bus name :1.23, object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale

#2

We have not tested Ubuntu 15.x and since it is end-of-life for that version, is it possible for you to use Ubuntu 16.04 LTS? There is a Aerospike deb package for 16.0.4 here: http://www.aerospike.com/download/server/3.9.1.1/

You can also try 16.0.4 on Ubuntu 15.05. There may be dependencies and incompatibility issues, so it is better to run on a known platform.